import { html as a } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, n = (l, r, i, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, i) : r, s = l.length - 1, c; s >= 0; s--)
    (c = l[s]) && (e = (t ? c(r, i, e) : c(e)) || e);
  return t && e && g(r, i, e), e;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--infoCircleLarge", this.class = "c-pieIcon c-pieIcon--infoCircleLarge", this.name = "IconInfoCircleLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--infoCircleLarge"><path d="M15.125 14.25h1.75v7.875h-1.75V14.25ZM16 9.875a1.313 1.313 0 1 0 0 2.625 1.313 1.313 0 0 0 0-2.625ZM28.25 16a12.25 12.25 0 1 1-24.499 0 12.25 12.25 0 0 1 24.499 0Zm-1.75 0a10.5 10.5 0 1 0-21 0 10.5 10.5 0 0 0 21 0Z"></path></svg>`;
  }
};
n([
  p({ type: String, reflect: !0 })
], o.prototype, "size", 2);
n([
  p({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = n([
  h("icon-info-circle-large")
], o);
export {
  o as IconInfoCircleLarge
};
